MessageBox.Show("This drawing has not been checked or approved. This message will be left as a watermark when document is saved.") Dim oDrawDoc As DrawingDocument oDrawDoc = ThisApplication.ActiveDocument ' a reference to the active sheet. Dim oActiveSheet As Sheet oActiveSheet = oDrawDoc.ActiveSheet ' a reference to the GeneralNotes object Dim oGeneralNotes As GeneralNotes oGeneralNotes = oActiveSheet.DrawingNotes.GeneralNotes Dim oTG As TransientGeometry oTG = ThisApplication.TransientGeometry Dim sText As String sText = "DRAFT COPY" & vbCrLf & "NOT FOR MANUFACTURE" & vbCrLf & "CRITICAL SECTIONS NOT FILLED OUT" Dim oGeneralNote As GeneralNote oGeneralNote = oGeneralNotes.AddFitted(oTG.CreatePoint2d(0.6, 6.5), sText) 'Bottom Left oGeneralNote.TextStyle.FontSize = 0.5
Dim sText As String sText = "DRAFT COPY" & vbCrLf & "NOT FOR MANUFACTURE" & vbCrLf & "CRITICAL SECTIONS NOT FILLED OUT"
Dim sText = "DRAFT COPY" & vbCrLf & "NOT FOR MANUFACTURE" & vbCrLf & "CRITICAL SECTIONS NOT FILLED OUT"
Dim oDrawDoc As DrawingDocument oDrawDoc = ThisApplication.ActiveDocument ' a reference to the active sheet. Dim oActiveSheet As Sheet oActiveSheet = oDrawDoc.ActiveSheet ' a reference to the GeneralNotes object Dim oGeneralNotes As GeneralNotes oGeneralNotes = oActiveSheet.DrawingNotes.GeneralNotes Dim oTG As TransientGeometry oTG = ThisApplication.TransientGeometry // uses of all the vars and containers // .... // bottom of your code / function / sub oDrawDoc = nothing oActiveSheet = nothing oGeneralNotes = nothing oTG = nothing
var
This content, along with any associated source code and files, is licensed under The Code Project Open License (CPOL)